contradiction re requiring .NET

You can ask general questions, share opinions or advices about doPDF.
twalp
Posts: 2
Joined: Sun May 18, 2014 10:17 pm

contradiction re requiring .NET

Postby twalp » Sun May 18, 2014 10:27 pm

Your main page about doPDF says "No Ghostscript of .NET", which is a desirable feature because once NET Framework is installed the user is caught up in continuing updates for it. I switched from using PrimoPDF to doPDF because of this.

Your download page for doPDF says "Starting with version 8, doPDF requires .NET (v4) to be installed."

Is the latter correct now, and if so do you plan on changing the main page reference to "no .NET"?

Why did you switch to requiring NET? (so we'll understand the implications)

If users prefer to avoid .NET by continuing to use your last release under version 7, what are the downsides or possible incompatibilities?

Thank you for a useful product!

Softland
Posts: 1439
Joined: Thu May 23, 2013 7:19 am

Re: contradiction re requiring .NET

Postby Softland » Mon May 26, 2014 10:26 am

Yes, doPDF 8 now requires .NET and it needs that mainly due to the integration with the addins for Microsoft Office.
You can avoid .NET by using version 7, right now there aren't incompatibilities with the existing OS - the downside is you don't get the add-ins for Microsoft office and the automatic check for updates.

twalp
Posts: 2
Joined: Sun May 18, 2014 10:17 pm

Re: contradiction re requiring .NET

Postby twalp » Mon May 26, 2014 7:45 pm

Thank you for replying. What set doPDF apart from other PDF printer drivers was the absence of NET Framework. I encourage you to keep offering version 7 as a NET-free version!

Softland
Posts: 1439
Joined: Thu May 23, 2013 7:19 am

Re: contradiction re requiring .NET

Postby Softland » Tue May 27, 2014 10:07 am

doPDF 7 won't be developed anymore so we're not going to release a .NET version for it.
However, Windows 7/8 already come with .NET pre-installed so this shouldn't be an inconvenience.


Return to “General”